* {
  box-sizing: border-box; }

html,
body {
  margin: 0;
  scroll-behavior: smooth;
  background-color: #202020;
  color: #f3f3f3;
  overflow-x: hidden; }

header,
section {
  z-index: 1; }

a {
  font-size: 24px; }
  a:hover {
    cursor: pointer; }

h1 {
  font-size: 64px; }

h2 {
  font-size: 40px; }

h3 {
  font-size: 28px;
  margin: 0; }

#arrow {
  position: absolute;
  top: 18px;
  left: 670px;
  width: 150px; }

p {
  font-size: 32px; }

p.textStep {
  font-size: 36px; }

.catch-phrase {
  font-size: 64px; }

.tab2 a {
  font-size: 32px; }

a.primary-button {
  font-family: "JW.Sans";
  font-weight: 500 !important;
  text-transform: uppercase;
  text-decoration: none;
  background-color: #f3f3f3;
  color: #202020 !important;
  border-radius: 10px;
  position: relative;
  padding: 10px 35px 10px 45px;
  transition: transform 200ms ease;
  display: flex;
  align-items: center; }
  a.primary-button:hover {
    transform: translate(1px, -2px); }

a.secondary-button {
  font-family: "JW.Sans";
  font-weight: 500 !important;
  text-transform: uppercase;
  text-decoration: none;
  background-color: #202020;
  color: #f3f3f3 !important;
  border: solid 2px #f3f3f3;
  border-radius: 10px;
  position: relative;
  padding: 10px 35px 10px 50px;
  transition: transform 200ms ease; }
  a.secondary-button:hover {
    transform: translate(1px, -2px); }

.beta-tag {
  position: absolute;
  left: 0;
  top: 0;
  font-family: "JW.Sans";
  font-weight: 700;
  font-size: 12px;
  text-transform: none;
  background-color: #ffd02b;
  padding: 2px 8px;
  border-radius: 10px 0px 10px 0; }

.demo-tag {
  position: absolute;
  left: 0;
  top: 0;
  font-family: "JW.Sans";
  font-weight: 700;
  font-size: 12px;
  text-transform: none;
  background-color: #db2f2f;
  padding: 2px 8px;
  border-radius: 10px 0px 10px 0; }

header {
  height: 100px;
  display: flex;
  justify-content: space-around;
  align-items: center; }
  header .logo {
    display: flex;
    gap: 20px; }
    header .logo h1 {
      font-family: "OffBit-Dot";
      font-size: 64px;
      transform: translateY(5px);
      margin: 0; }
    header .logo:hover {
      cursor: url("/src/assets/img/dot-cursor.svg"), auto; }
  header .navbar {
    display: flex;
    align-items: center;
    gap: 100px; }
    header .navbar a {
      font-family: "JW.Sans";
      font-weight: 700;
      text-transform: uppercase;
      text-decoration: none;
      color: #f3f3f3;
      position: relative; }
      header .navbar a .linkSpan {
        position: absolute;
        background-color: #f3f3f3;
        left: 0;
        bottom: 0;
        width: 0;
        height: 1px;
        transition: all 200ms ease; }
      header .navbar a:hover .linkSpan {
        width: 100%; }

section.hero-section {
  display: flex;
  justify-content: center; }
  section.hero-section .container {
    margin: 120px 0;
    z-index: 1;
    width: 1000px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center; }
    section.hero-section .container h1 {
      text-align: center;
      font-family: "JW.Sans";
      font-weight: 700;
      color: #f3f3f3;
      margin: 0; }
      section.hero-section .container h1 span {
        text-decoration: underline;
        text-decoration-thickness: 2px;
        text-underline-offset: 18px; }
    section.hero-section .container .sub-title {
      display: flex;
      align-items: center;
      gap: 30px;
      color: #b9b9b9; }
      section.hero-section .container .sub-title h2 {
        font-family: "Jura";
        font-weight: 700; }
      section.hero-section .container .sub-title .dot-separator {
        width: 10px;
        height: 10px;
        border-radius: 10px;
        background-color: #b9b9b9; }
    section.hero-section .container .cta-container {
      margin-top: 60px;
      display: flex;
      width: 100%;
      justify-content: space-around; }

section.hubbl-explained {
  display: flex;
  justify-content: center; }
  section.hubbl-explained .container {
    margin: 60px 0 160px 0;
    width: 1400px;
    height: 930px;
    position: relative; }
    section.hubbl-explained .container h3 {
      font-family: "JW.Sans";
      font-weight: 400;
      margin-bottom: 30px; }
    section.hubbl-explained .container .left {
      position: absolute;
      z-index: 0; }
    section.hubbl-explained .container .right {
      position: absolute;
      top: 80px;
      right: 0px;
      z-index: 1;
      display: flex;
      flex-direction: column; }
      section.hubbl-explained .container .right h3 {
        text-align: right; }
        section.hubbl-explained .container .right h3 span {
          text-decoration: underline;
          text-decoration-thickness: 1px;
          text-underline-offset: 10px; }
      section.hubbl-explained .container .right video {
        border-radius: 20px;
        box-shadow: 0 0 50px #ffffff1b;
        margin-bottom: 30px; }
      section.hubbl-explained .container .right .step-button-container {
        display: flex;
        justify-content: space-around;
        margin-bottom: 30px; }
        section.hubbl-explained .container .right .step-button-container button {
          background-color: #353535;
          color: #f3f3f3;
          width: 260px;
          height: 60px;
          border: none;
          border-radius: 10px;
          font-family: "JW.Sans";
          font-weight: 500;
          font-size: 20px;
          position: relative;
          overflow: hidden; }
          section.hubbl-explained .container .right .step-button-container button:hover {
            cursor: pointer; }
          section.hubbl-explained .container .right .step-button-container button span {
            position: absolute;
            background-color: #f3f3f3;
            left: 4px;
            bottom: 0px;
            width: 0;
            height: 2px; }
        section.hubbl-explained .container .right .step-button-container #buttonStep1 > span.active {
          animation-duration: 7000ms;
          animation-timing-function: linear;
          animation-name: stepProgress; }
        section.hubbl-explained .container .right .step-button-container #buttonStep2 > span.active {
          animation-duration: 39500ms;
          animation-timing-function: linear;
          animation-name: stepProgress; }
        section.hubbl-explained .container .right .step-button-container #buttonStep3 > span.active {
          animation-duration: 8300ms;
          animation-timing-function: linear;
          animation-name: stepProgress; }

@keyframes stepProgress {
  from {
    width: 0; }
  to {
    width: 252px; } }
      section.hubbl-explained .container .right .step-text-container {
        position: relative; }
        section.hubbl-explained .container .right .step-text-container p {
          padding-right: 10px;
          margin: 0;
          font-family: "JW.Sans";
          font-weight: 700;
          opacity: 0;
          top: 30px;
          max-width: 1000px;
          position: absolute;
          transition: all 500ms ease; }
        section.hubbl-explained .container .right .step-text-container .activeStep {
          opacity: 1;
          top: 0; }

section.personae-perceived-value {
  display: flex;
  justify-content: center;
  margin: 0 50px 200px 50px;
  font-family: "JW.Sans"; }
  section.personae-perceived-value .container {
    display: flex;
    flex-direction: column;
    align-items: center; }
    section.personae-perceived-value .container h2 {
      margin-bottom: 100px;
      text-align: center; }
    section.personae-perceived-value .container .content-container {
      display: flex;
      flex-direction: column;
      align-items: stretch;
      gap: 50px; }
      section.personae-perceived-value .container .content-container .persona {
        min-height: 160px;
        display: flex;
        align-items: center;
        gap: 20px;
        padding: 20px;
        padding-right: 35px;
        background-color: #353535;
        border-radius: 10px;
        max-width: 1250px; }
        section.personae-perceived-value .container .content-container .persona .content {
          display: flex;
          flex-direction: column;
          gap: 10px; }
          section.personae-perceived-value .container .content-container .persona .content h3 {
            font-size: 32px;
            margin: 0; }
          section.personae-perceived-value .container .content-container .persona .content p {
            margin: 0;
            font-size: 24px; }

section.join-waitlist {
  display: flex;
  justify-content: center;
  font-family: "JW.Sans";
  margin: 0 50px 200px 50px; }
  section.join-waitlist .container {
    display: flex;
    flex-direction: column;
    align-items: center; }
    section.join-waitlist .container .form-container {
      width: 100%;
      max-width: 500px; }
      section.join-waitlist .container .form-container p {
        text-align: center; }
      section.join-waitlist .container .form-container form {
        display: flex;
        flex-direction: column;
        align-items: stretch;
        gap: 20px; }
        section.join-waitlist .container .form-container form input {
          height: 60px;
          background-color: #202020;
          border: 2px solid #9f9f9f;
          border-radius: 10px;
          padding: 10px;
          font-size: 28px;
          color: #f3f3f3;
          transition: border 200ms ease; }
          section.join-waitlist .container .form-container form input:focus {
            border-color: #ffffff;
            outline: none; }
          section.join-waitlist .container .form-container form input:valid {
            border-color: green; }
        section.join-waitlist .container .form-container form button {
          margin-top: 10px;
          font-family: "JW.Sans";
          height: 50px;
          font-size: 32px;
          font-weight: bold;
          color: #202020;
          border-radius: 10px;
          border: none;
          cursor: pointer;
          transition: transform 200ms ease;
          position: relative; }
          section.join-waitlist .container .form-container form button:hover {
            transform: translate(1px, -2px); }
        section.join-waitlist .container .form-container form .submitButton-loading .submitButton-text {
          visibility: hidden;
          opacity: 0; }
        section.join-waitlist .container .form-container form .submitButton-loading::after {
          content: "";
          position: absolute;
          width: 16px;
          height: 16px;
          top: 0;
          left: 0;
          right: 0;
          bottom: 0;
          margin: auto;
          border: 4px solid transparent;
          border-top-color: #202020;
          border-radius: 50%;
          animation: submitButton-loading-spinner 1s ease infinite; }

@keyframes submitButton-loading-spinner {
  from {
    transform: rotate(0turn); }
  to {
    transform: rotate(1turn); } }

#canvas {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  z-index: 1000; }
